#include<bits/stdc++.h>
using namespace std;

bool moze(int a[] ,int l,int r)
{

    bool bilo=false;
    for(int i=l;i<=r-1;i++)
    {
        if(a[i]>a[i+1]&&bilo)
        {
            return false;
        }
        else if(a[i]>a[i+1])
            bilo=true;
    }
        return true;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);


    int n,q;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    cin>>q;
    for(int i=0;i<q;i++)
    {
        int l,r;
        cin>>l>>r;
        if(moze(a,l-1,r-1))
            cout<<"DA\n";
        else
            cout<<"NE\n";
    }
    return 0;
}